Index: res/res_jabber.c
===================================================================
--- res/res_jabber.c	(revision 95160)
+++ res/res_jabber.c	(working copy)
@@ -65,7 +65,6 @@
 #endif
 
 /*-- Forward declarations */
-static int aji_highest_bit(int number);
 static void aji_buddy_destroy(struct aji_buddy *obj);
 static void aji_client_destroy(struct aji_client *obj);
 static int aji_send_exec(struct ast_channel *chan, void *data);
@@ -298,23 +297,6 @@
 }
 
 /*!
- * \brief Detects the highest bit in a number.
- * \param number  Number you want to have evaluated.
- * \return the highest power of 2 that can go into the number.
- */
-static int aji_highest_bit(int number)
-{
-	int x = sizeof(number) * 8 - 1;
-	if (!number)
-		return 0;
-	for (; x > 0; x--) {
-		if (number & (1 << x))
-			break;
-	}
-	return (1 << x);
-}
-
-/*!
  * \brief Setup the authentication struct
  * \param id iksid 
  * \param pass password
@@ -796,8 +778,8 @@
 	char *s;
 	char *base64;
 
-	if (type == IKS_STREAM_SASL_MD5)
-		return iks_start_sasl(client->p, IKS_SASL_DIGEST_MD5, username, pass);
+	if (!(type && IKS_STREAM_SASL_PLAIN))
+		return IKS_NET_NOTSUPP;
 
 	x = iks_new("auth"); 
 	if (!x) {
@@ -916,7 +898,7 @@
 							ast_log(LOG_ERROR, "Malformed Jabber ID : %s (domain missing?)\n", client->jid->full);
 							break;
 						}
-						features = aji_highest_bit(features);
+
 						ret = aji_start_sasl(client, features, client->jid->user, client->password);
 						if (ret != IKS_OK) {
 							ASTOBJ_UNREF(client, aji_client_destroy);
